Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006006TestLinkExport/Importpublic2013-10-29 15:562014-04-25 17:39
ReporterKarenNyre 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows 7 Professional SP 1OS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006006: Requirement relations are not exported and cannot be imported
DescriptionLadies and Gentlemen,

With TestLink 1.9.8 we have made much effort to link requirements and now are looking forward to exporting data. Will you soon support exporting requirements which are linked with each other?

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL Server 5.6
BrowserChrome Version 30.0.1599.101 m
PHP VersionPHP 5.3.27
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0003560closedkinow Requirements Export does not Export Requirement Relations 

-  Notes
(0019897)
KarenNyre (reporter)
2013-10-29 15:58

The discussion under
http://mantis.testlink.org/view.php?id=3560 [^]

indicates that this feature has been worked on.
(0019898)
fman (administrator)
2013-10-29 17:25

@user:
if you read carefully the issue 3560, you can see that some code is attached then you can get it and try for yourself.
If you can not do this, you have to wait till we will be ready to work on this feature, but sentences like:

>>With TestLink 1.9.8 we have made much effort to link requirements and now are >>looking forward to exporting data. Will you soon support exporting >>requirements which are linked with each other?

are not the right path to follow, at least on this project.
(0019916)
KarenNyre (reporter)
2013-10-30 15:19

Actually, I wanted to point out that we want to propogate the usefulness of TestLink and its capabilities to link requirements (as offered by the user interface).

And now as I understand, you are asking me to finish programming myself.

Thanks.
(0019918)
fman (administrator)
2013-10-30 15:55
edited on: 2013-10-30 15:56

I just saying that you have no right (IMHO) to put pressure on the project on this way, and that a user have contributed with a solution that is available if you can not wait for the official release.
This is open source, then idea is: if dev team have no time to do a feature other people can access the code, develop a contribution and give back to the project.

(0019927)
KarenNyre (reporter)
2013-10-31 07:58

Your statement:
you have no right (IMHO) to put pressure on the project


Thank you for your openness. You are right and I shall attempt to modify my view.

Have a great day.
(0020849)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-10-29 15:56 KarenNyre New Issue
2013-10-29 15:58 KarenNyre Note Added: 0019897
2013-10-29 17:25 fman Note Added: 0019898
2013-10-30 15:19 KarenNyre Note Added: 0019916
2013-10-30 15:55 fman Note Added: 0019918
2013-10-30 15:56 fman Note Edited: 0019918 View Revisions
2013-10-31 07:58 KarenNyre Note Added: 0019927
2014-01-14 21:25 fman Relationship added related to 0003560
2014-01-14 21:26 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-01-14 21:26 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-01-14 21:26 fman Status new => resolved
2014-01-14 21:26 fman Resolution open => fixed
2014-01-14 21:26 fman Assigned To => fman
2014-04-25 17:39 fman Note Added: 0020849
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker